Skip to main content
`Ctrl`+`K`

# TaoSetVariableBoundsRoutine

Sets a function to be used to compute lower and upper variable bounds for the optimization

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetVariableBoundsRoutine(Tao tao, PetscErrorCode (*func)(Tao tao, Vec xl, Vec xu, PetscCtx ctx), PetscCtx ctx)

Logically Collective

## Input Parameters

- tao - the `Tao` context

- func - the bounds computation routine

- ctx - [optional] user-defined context for private data for the bounds computation (may be `NULL`)

## Calling sequence of `func`

- tao - the `Tao` solver

- xl - vector of lower bounds

- xu - vector of upper bounds

- ctx - the (optional) user-defined function context

## Note

The func passed to `TaoSetVariableBoundsRoutine()` takes precedence over any values set in `TaoSetVariableBounds()`.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetObjective()`, `TaoSetHessian()`, `TaoSetObjectiveAndGradient()`, `TaoSetVariableBounds()`

## Level

beginner

## Location

src/tao/interface/taosolver_bounds.c

## Examples

src/tao/bound/tutorials/plate2f.F90
src/tao/complementarity/tutorials/blackscholes.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages